using Microsoft.Maui.Graphics;

namespace RobobinApp.Views
{
    public class GraphicsDrawable : IDrawable
    {
        public void Draw(ICanvas canvas, RectF dirtyRect)
        {
            // Set the background color
            canvas.FillColor = Colors.LightPink; // Change to your desired color
            canvas.FillRectangle(dirtyRect);

            // Draw some graphics (for example, a circle)
            canvas.FillColor = Colors.Red;
            canvas.FillCircle(dirtyRect.Center.X, dirtyRect.Center.Y, 50);

            // Example of drawing text
            canvas.FontSize = 24;
            canvas.FillColor = Colors.Black;
            canvas.DrawString("Hello, GraphicsView!", dirtyRect.Center.X, dirtyRect.Center.Y, HorizontalAlignment.Center);
        }
    }
}
